Package Details: lerna 4.0.0-2

Git Clone URL: https://aur.archlinux.org/lerna.git (read-only, click to copy)
Package Base: lerna
Description: Tool for managing JavaScript projects with multiple packages
Upstream URL: https://github.com/sebmck/lerna#readme
Keywords: nodejs npm packages
Licenses: MIT
Submitter: marcs
Maintainer: simon04
Last Packager: simon04
Votes: 3
Popularity: 0.000122
First Submitted: 2016-11-11 01:14
Last Updated: 2021-03-27 09:32

Latest Comments

dragonek93 commented on 2021-04-04 05:44

i got this error when i try to install ferdi or franz: Need to install the following packages: lerna Ok to proceed? (y) y npm WARN deprecated har-validator@5.1.5: this library is no longer supported npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142 lerna notice cli v4.0.0 lerna info versioning independent lerna info bootstrap root only npm ERR! code ERESOLVE npm ERR! ERESOLVE unable to resolve dependency tree npm ERR! npm ERR! Found: react-dom@16.12.0 npm ERR! node_modules/react-dom npm ERR! react-dom@"16.12.0" from the root project npm ERR! npm ERR! Could not resolve dependency: npm ERR! peer react-dom@"16.7.0" from forms@1.1.0 npm ERR! packages/forms npm ERR! npm ERR! Fix the upstream dependency conflict, or retry npm ERR! this command with --force, or --legacy-peer-deps npm ERR! to accept an incorrect (and potentially broken) dependency resolution. npm ERR! npm ERR! See /home/dragonek/.cache/paru/clone/ferdi/src/ferdi-5.5.0-8-home/.npm/eresolve-report.txt for a full report.

npm ERR! A complete log of this run can be found in: npm ERR! /home/dragonek/.cache/paru/clone/ferdi/src/ferdi-5.5.0-8-home/.npm/_logs/2021-04-04T05_43_05_128Z-debug.log lerna ERR! npm install exited 1 in 'ferdi' lerna ERR! npm install exited 1 in 'ferdi' ==> BŁĄD: Wystąpił błąd w prepare(). Przerywam... :: Packages failed to build: ferdi-5.5.0-8 What's is happen

gamezelda commented on 2020-11-03 11:07

@desaparecido: It builds for me. Maybe you have something messed up with your existing NPM install.

Try to run 'npm cache clean -f' and/or delete your $HOME/.npm folder (backup it first just in case!).

See also: https://stackoverflow.com/questions/49415958/what-could-cause-an-error-related-to-npm-not-being-able-to-find-a-file-no-conte

In case you can't figure it out you could try to build it in a clean chroot.

Or try to run lerna without this package using 'npx lerna' instead.

desaparecido commented on 2020-11-03 09:54

hi, I'm having this error when build, do yo have some clue to solve it ? I'm tryng to build Franz but now ask for lerna package. thanks

==> Starting package()...
npm ERR! code ENOENT
npm ERR! syscall lstat
npm ERR! path /tmp/makepkg/lerna/pkg/lerna/usr
npm ERR! errno -2
npm ERR! enoent ENOENT: no such file or directory, lstat 
'/tmp/makepkg/lerna/pkg/lerna/usr'
npm ERR! enoent This is related to npm not being able to find a file.
npm ERR! enoent

gamezelda commented on 2020-10-25 00:46

It's fixed in 3.22.1-2, thanks.

gamezelda commented on 2020-10-14 10:57

A lot of the files in the package end up being owned by the user who built the package instead of root:

[zealcharm@tarch lerna]$ tar tvf lerna-3.22.1-1-any.pkg.tar.zst  | head -14
-rw-r--r-- root/root      5904 2020-10-14 10:50 .BUILDINFO
-rw-r--r-- root/root    784561 2020-10-14 10:50 .MTREE
-rw-r--r-- root/root       350 2020-10-14 10:50 .PKGINFO
drwxr-xr-x root/root         0 2020-10-14 10:50 usr/
drwxr-xr-x zealcharm/zealcharm 0 2020-10-14 10:50 usr/bin/
lrwxrwxrwx zealcharm/zealcharm 0 2020-10-14 10:50 usr/bin/lerna -> ../lib/node_modules/lerna/cli.js
drwxr-xr-x root/root           0 2020-10-14 10:50 usr/lib/
drwxr-xr-x root/root           0 2020-10-14 10:50 usr/lib/node_modules/
drwxr-xr-x zealcharm/zealcharm 0 2020-10-14 10:50 usr/lib/node_modules/lerna/
-rw-r--r-- zealcharm/zealcharm 15896 2020-10-14 10:50 usr/lib/node_modules/lerna/CHANGELOG.md
-rw-r--r-- zealcharm/zealcharm  1083 2020-10-14 10:50 usr/lib/node_modules/lerna/LICENSE
-rw-r--r-- zealcharm/zealcharm   658 2020-10-14 10:50 usr/lib/node_modules/lerna/README.md
-rwxr-xr-x zealcharm/zealcharm   291 2020-10-14 10:50 usr/lib/node_modules/lerna/cli.js
-rw-r--r-- zealcharm/zealcharm  1340 2020-10-14 10:50 usr/lib/node_modules/lerna/index.js

I took a look at some other Arch packages coming from NPM and it seems like this is a known issue and doing a chown to root is necessary, see for example: